/* eslint-disable no-unused-vars */
const queryIdFunc = () => {
  const ele = document.getElementById('query-id')
  if (ele) {
    document.body.removeChild(ele)
  }

  const newEle = document.createElement('script')
  const url = chrome.runtime.getURL('query-id.js')
  newEle.id = 'query-id'
  newEle.src = url
  document.body.appendChild(newEle)
  return new Promise(resolve => {
    const onMessage = event => event.data?.type === 'LINKEDIN_QUERY_ID' && !resolve(event.data?.value) && window.close()
    window.addEventListener('message', onMessage)
  })
}

const companyNameFunc = () => {
  return new Promise(resolve => {
    const getName = () => {
      const result = /^\/company\/(?!\d+(\/|$))([^/]+)/.exec(document.location.pathname)
      if (!result) {
        return setTimeout(getName, 500)
      }
      if (result[2] === 'unavailable') {
        window.close()
        return resolve('')
      }
      window.close()
      resolve(result[2])
    }
    getName()
    // 5秒未获取到直接返回
    setTimeout(() => {
      window.close()
      resolve(null)
    }, 5000)
  })
}
